com.microfocus.awm.meta.interfaces

## Interface REnabledConditionBase

- All Superinterfaces:
    AWMObject, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier
  All Known Subinterfaces:
    REnabledCondition, RSelectionEnabledCondition, RSelectionVisibleCondition, RVisibleCondition
  All Known Implementing Classes:
    REnabledConditionBaseImpl, REnabledConditionImpl, RSelectionEnabledConditionImpl, RSelectionVisibleConditionImpl, RVisibleConditionImpl

      public interface REnabledConditionBase
      extends AWMObject

  The following features are supported:

  - `Complex Condition`
  - `Simple Condition`
  See Also:
    `TaurusPackage.getREnabledConditionBase()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `RActionComplexCondition` | `getComplexCondition()` Returns the value of the 'Complex Condition' containment reference.
    `RActionSimpleCondition` | `getSimpleCondition()` Returns the value of the 'Simple Condition' containment reference.
    `void` | `setComplexCondition(RActionComplexCondition value)` Sets the value of the '`Complex Condition`' containment reference.
    `void` | `setSimpleCondition(RActionSimpleCondition value)` Sets the value of the '`Simple Condition`' containment reference.

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.AWMObject

      `getComment, isSetComment, setComment, unsetComment`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getComplexCondition

          RActionComplexCondition getComplexCondition()

      Returns the value of the 'Complex Condition' containment reference.
      Returns:
        the value of the 'Complex Condition' containment reference.
      See Also:
        `setComplexCondition(RActionComplexCondition)`, `TaurusPackage.getREnabledConditionBase_ComplexCondition()`

    - #### setComplexCondition

          void setComplexCondition(RActionComplexCondition value)

      Sets the value of the '`Complex Condition`' containment reference.
      Parameters:
        `value` - the new value of the 'Complex Condition' containment reference.
      See Also:
        `getComplexCondition()`

    - #### getSimpleCondition

          RActionSimpleCondition getSimpleCondition()

      Returns the value of the 'Simple Condition' containment reference.
      Returns:
        the value of the 'Simple Condition' containment reference.
      See Also:
        `setSimpleCondition(RActionSimpleCondition)`, `TaurusPackage.getREnabledConditionBase_SimpleCondition()`

    - #### setSimpleCondition

          void setSimpleCondition(RActionSimpleCondition value)

      Sets the value of the '`Simple Condition`' containment reference.
      Parameters:
        `value` - the new value of the 'Simple Condition' containment reference.
      See Also:
        `getSimpleCondition()`

Copyright © 2015 Micro Focus GmbH. All rights reserved.